> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Priority Inbox

> Fetch rooms in priority inbox



## OpenAPI

````yaml get /api/v2/conversations
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/conversations:
    get:
      tags:
        - Messaging
      summary: List Priority Inbox
      description: Fetch rooms in priority inbox
      parameters:
        - name: pagination
          in: query
          description: Whether to provide pagination
          required: true
          example: true
          schema:
            type: boolean
        - name: page
          in: query
          description: Page number to fetch
          required: false
          example: 0
          schema:
            type: number
        - name: pageSize
          in: query
          description: How many rooms per page
          required: false
          example: 20
          schema:
            type: number
        - name: unread
          in: query
          description: Only return unread rooms
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  pageSize:
                    type: number
                    example: 20
                  pageNumber:
                    type: number
                    example: 0
                  totalRooms:
                    type: number
                    example: 100
                  rooms:
                    type: array
                    items:
                      type: object
                      properties:
                        roomId:
                          description: Room Id
                          type: string
                          example: '3:15'
                        name:
                          description: Other users full name
                          type: string
                          example: John Doe
                        id:
                          description: userId of other user
                          type: number
                          example: 15
                        image:
                          description: Link to other users image
                          type: string
                          example: https://somepublicURl
                        vidaPhoneNumber:
                          description: Other user Vida Phone Number
                          type: string
                          example: '+12165169995'
                        unregistered:
                          description: >-
                            If the other user is registered on Vida platform or
                            offnet
                          type: boolean
                          example: false
                        unregisteredDisplayName:
                          description: >-
                            Display name for unregistered user which is often
                            their phone number or email
                          type: string
                          example: '+15125551234'
                        destinationInboxType:
                          description: >-
                            Indicator which inbox on the other user side the
                            conversation is in
                          type: string
                          example: '+15125551234'
                        lastMessage:
                          description: Last message text in the room
                          type: string
                          example: That was awesome, thanks!
                        lastMessageTimestamp:
                          description: Epoch of the last messages timestamp
                          type: number
                          example: 1710510072
                        chatAgentCampaignId:
                          description: Agent Id that handled the message
                          type: string
                          example: campa.....
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````